Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.format
Class PatternFormatter.PatternRun

    java.lang.Object
      org.jivesoftware.util.log.format.PatternFormatter.PatternRun

Enclosing class:
  PatternFormatter

    protected static class PatternFormatter.PatternRun

extends Object

Field Summary
`String` | `m_data`
`String` | `m_format`
`int` | `m_maxSize`
`int` | `m_minSize`
`boolean` | `m_rightJustify`
`int` | `m_type`

Constructor Summary
`protected` | `PatternFormatter.PatternRun()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_data

    public String m_data

### m_rightJustify

    public boolean m_rightJustify

### m_minSize

    public int m_minSize

### m_maxSize

    public int m_maxSize

### m_type

    public int m_type

### m_format

    public String m_format

Constructor Detail

### PatternFormatter.PatternRun

    protected PatternFormatter.PatternRun()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.